<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.8.0.final using JasperReports Library version 6.8.0-2ed8dfabb690ff337a5797129f2cd92902b0c87b  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="FarmasiObatKronisDate" pageWidth="842" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="1a8923bd-69d9-4d66-bec5-fee8dd3aac09">
	<property name="ireport.zoom" value="0.9090909090909246"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="p_dateStart" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="p_dateEnd" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select * from SP_RPT_GET_OBATKRONIS_BYDATE($P{p_dateStart},$P{p_dateEnd});]]>
	</queryString>
	<field name="medical_tp" class="java.lang.String"/>
	<field name="medical_tp_nm" class="java.lang.String"/>
	<field name="trx_datetime" class="java.lang.String"/>
	<field name="pasien_nm" class="java.lang.String"/>
	<field name="no_rm" class="java.lang.String"/>
	<field name="address" class="java.lang.String"/>
	<field name="insurance_nm" class="java.lang.String"/>
	<field name="dr_nm" class="java.lang.String"/>
	<field name="medunit_nm" class="java.lang.String"/>
	<field name="ruang_nm" class="java.lang.String"/>
	<field name="kelas_nm" class="java.lang.String"/>
	<field name="item_cd" class="java.lang.String"/>
	<field name="item_nm" class="java.lang.String"/>
	<field name="qty_real" class="java.math.BigDecimal"/>
	<field name="qty_kwitansi" class="java.math.BigDecimal"/>
	<field name="qty_tagihan" class="java.math.BigDecimal"/>
	<field name="unit_nm" class="java.lang.String"/>
	<field name="harga" class="java.math.BigDecimal"/>
	<field name="total" class="java.math.BigDecimal"/>
	<variable name="sum_insurance" class="java.math.BigDecimal" resetType="Group" resetGroup="insurance" calculation="Sum">
		<variableExpression><![CDATA[$F{total}]]></variableExpression>
		<initialValueExpression><![CDATA[$F{total}]]></initialValueExpression>
	</variable>
	<variable name="sum_medical_tp" class="java.math.BigDecimal" resetType="Group" resetGroup="medical_tp" calculation="Sum">
		<variableExpression><![CDATA[$F{total}]]></variableExpression>
		<initialValueExpression><![CDATA[$F{total}]]></initialValueExpression>
	</variable>
	<variable name="sum_total" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{total}]]></variableExpression>
		<initialValueExpression><![CDATA[$F{total}]]></initialValueExpression>
	</variable>
	<group name="medical_tp">
		<groupExpression><![CDATA[$F{medical_tp}]]></groupExpression>
		<groupHeader>
			<band height="20">
				<textField>
					<reportElement x="0" y="0" width="195" height="20" uuid="3aa6f7a7-522f-4f29-a7f3-c04be60e547f"/>
					<textFieldExpression><![CDATA[$F{medical_tp_nm}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement x="-1" y="0" width="1" height="20" uuid="a2cca522-bf0b-4d8b-99d3-159e2e5d9663"/>
				</line>
				<line>
					<reportElement x="802" y="0" width="1" height="20" uuid="80249617-3c65-4f90-a7c3-d6b63b4c1f29"/>
				</line>
				<line>
					<reportElement x="-1" y="0" width="804" height="1" uuid="1a7eb8e7-e075-4fbd-9caa-d5183769806c"/>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="30">
				<staticText>
					<reportElement x="494" y="10" width="70" height="20" uuid="4ad31371-4eda-48d9-aec3-1314f769ffa9"/>
					<text><![CDATA[TOTAL]]></text>
				</staticText>
				<textField>
					<reportElement x="564" y="10" width="143" height="20" uuid="25ba7064-8565-4dbc-b0b7-312dd9e15dfb"/>
					<textFieldExpression><![CDATA[$F{medical_tp_nm}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="707" y="10" width="95" height="20" uuid="ac7dea90-f650-43de-a8c3-9c681ab15b1d"/>
					<textFieldExpression><![CDATA[$V{sum_medical_tp}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement x="-1" y="0" width="1" height="29" uuid="f8f25879-7fc3-4c5e-8705-1cebad0b16d8"/>
				</line>
				<line>
					<reportElement x="802" y="1" width="1" height="28" uuid="94d1ee17-e3b8-48cd-acf6-4c440267f721"/>
				</line>
			</band>
		</groupFooter>
	</group>
	<group name="insurance">
		<groupExpression><![CDATA[$F{insurance_nm}]]></groupExpression>
		<groupHeader>
			<band height="20">
				<rectangle>
					<reportElement x="-1" y="0" width="804" height="20" forecolor="#FFFFFF" backcolor="#CCCCCC" uuid="eb4a1280-9114-480e-bcc2-83f1a01c9c57"/>
				</rectangle>
				<textField>
					<reportElement x="0" y="0" width="195" height="20" uuid="966ab587-0f02-4aec-accb-db9944f30e8a"/>
					<textFieldExpression><![CDATA[$F{insurance_nm}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement x="-1" y="0" width="1" height="20" uuid="b28cdc80-2724-4321-ab46-869c934d766c"/>
				</line>
				<line>
					<reportElement x="802" y="0" width="1" height="20" uuid="808c57f0-801f-4d76-8c02-7957d84f2f2b"/>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="20">
				<rectangle>
					<reportElement x="-1" y="0" width="804" height="20" forecolor="#FFFFFF" backcolor="#CCCCCC" uuid="b30db811-a5f5-4954-8233-b73e540668f0"/>
				</rectangle>
				<staticText>
					<reportElement x="492" y="0" width="70" height="20" uuid="c9f329ea-fff5-4247-b069-85031d6a86fa"/>
					<text><![CDATA[Total]]></text>
				</staticText>
				<textField>
					<reportElement x="562" y="0" width="145" height="20" uuid="1f82f7b0-4960-4b86-8219-481cc4dad18e"/>
					<textFieldExpression><![CDATA[$F{insurance_nm}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="707" y="0" width="94" height="20" uuid="eea74572-83a3-4878-b61a-7449c70a2504"/>
					<textFieldExpression><![CDATA[$V{sum_insurance}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement x="-1" y="0" width="1" height="20" uuid="e01669a3-16b4-4e5a-a633-1d5e634df633"/>
				</line>
				<line>
					<reportElement x="802" y="-1" width="1" height="21" uuid="fec66492-dbe4-4364-bf48-992f316d1a19"/>
				</line>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="68" splitType="Stretch">
			<staticText>
				<reportElement x="11" y="46" width="66" height="20" uuid="740154f8-9b49-43fa-a1a4-7f8be5ef8f22"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal	:]]></text>
			</staticText>
			<staticText>
				<reportElement x="-1" y="10" width="802" height="20" uuid="f637517b-3c56-4037-b2b0-f773e613c736"/>
				<textElement textAlignment="Center">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[FEE FOR SERVICE OBAT KRONIS]]></text>
			</staticText>
			<textField>
				<reportElement x="69" y="46" width="75" height="20" uuid="1619f909-afd6-40fe-b845-044bb695fab3"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{p_dateStart}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="144" y="46" width="15" height="20" uuid="05b7443b-13d5-474f-b114-f788f7225177"/>
				<textElement textAlignment="Center"/>
				<text><![CDATA[-]]></text>
			</staticText>
			<textField>
				<reportElement x="159" y="46" width="100" height="20" uuid="7cd20cf3-7414-4591-af11-038cefe925d9"/>
				<textFieldExpression><![CDATA[$P{p_dateEnd}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="23" splitType="Stretch">
			<staticText>
				<reportElement x="519" y="3" width="94" height="20" uuid="4843bd8e-41e5-449c-a409-0a01846a63e7"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[JUMLAH]]></text>
			</staticText>
			<staticText>
				<reportElement x="195" y="3" width="160" height="20" uuid="280ea830-f5be-4157-a5b5-93a11a3374ce"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[POLI/KAMAR/DR]]></text>
			</staticText>
			<staticText>
				<reportElement x="-1" y="3" width="196" height="20" uuid="ed9b661f-7624-4a91-9545-df82ada30b1a"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[PASIEN]]></text>
			</staticText>
			<staticText>
				<reportElement x="355" y="3" width="164" height="20" uuid="7890adb9-c342-4fbb-9db1-0766b9b38a5d"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[OBAT]]></text>
			</staticText>
			<staticText>
				<reportElement x="613" y="3" width="94" height="20" uuid="9ded3df9-f7b4-4ead-a724-0f7baa10deac"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[HARGA]]></text>
			</staticText>
			<staticText>
				<reportElement x="707" y="3" width="94" height="20" uuid="2a142a88-d298-4b4e-b068-c60944835e2d"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[TOTAL]]></text>
			</staticText>
			<line>
				<reportElement x="194" y="3" width="1" height="20" uuid="ef0602f6-874c-44f5-8a67-8ecfa2972f25"/>
			</line>
			<line>
				<reportElement x="355" y="3" width="1" height="20" uuid="055456d8-bf58-4183-9fa5-418067217424"/>
			</line>
			<line>
				<reportElement x="516" y="3" width="1" height="20" uuid="5dd1d2ff-bb0d-4eac-8e9f-2b23794d86f4"/>
			</line>
			<line>
				<reportElement x="613" y="3" width="1" height="20" uuid="be7d57dc-4e88-4d5c-82b7-541fdabb37fa"/>
			</line>
			<line>
				<reportElement x="707" y="3" width="1" height="20" uuid="ece2a904-3813-446c-9ed9-69430de99341"/>
			</line>
			<line>
				<reportElement x="802" y="3" width="1" height="20" uuid="5226bda0-6825-428f-974c-9b60032a1d29"/>
			</line>
			<line>
				<reportElement x="-1" y="2" width="804" height="1" uuid="b580f326-363e-4d5f-9693-5b88b81acf5e"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="80" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="195" height="20" uuid="6c9a0c5e-9879-47e2-99a0-c099ed7db400"/>
				<textFieldExpression><![CDATA[$F{no_rm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="20" width="195" height="20" uuid="5dd7f7db-fe6b-4849-927c-f19e985f3410"/>
				<textFieldExpression><![CDATA[$F{pasien_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="40" width="195" height="20" uuid="d6670b58-356e-49d2-ba04-8f76f1c3387d"/>
				<textFieldExpression><![CDATA[$F{address}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="195" y="0" width="160" height="20" uuid="74dd9547-bafc-41fb-bdc7-78fa385b6ce1"/>
				<textFieldExpression><![CDATA[$F{medunit_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="195" y="20" width="160" height="20" uuid="17eb5013-d748-4b0b-8eef-b58fdd165f3f"/>
				<textFieldExpression><![CDATA[$F{dr_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="355" y="0" width="164" height="20" uuid="b378dfeb-3f86-43ca-a8d2-b894cdecde36"/>
				<textFieldExpression><![CDATA[$F{item_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="519" y="0" width="23" height="20" uuid="438cb21c-35b1-4902-b14e-a1bebddbb795"/>
				<textFieldExpression><![CDATA[$F{qty_tagihan}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="542" y="0" width="71" height="20" uuid="433cfd76-800c-41b1-aa6b-2f7efcadaf13"/>
				<textFieldExpression><![CDATA[$F{unit_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="613" y="0" width="94" height="20" uuid="3ad1a618-3578-4d78-bad8-9cd16a7cfdb1"/>
				<textFieldExpression><![CDATA[$F{harga}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="707" y="0" width="94" height="20" uuid="6ac9242d-c66e-408a-926f-0fcf6650b743"/>
				<textFieldExpression><![CDATA[$F{total}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="60" width="195" height="20" uuid="8687cdd9-0620-415f-8d12-1f28ac28758d"/>
				<textFieldExpression><![CDATA[$F{insurance_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="519" y="31" width="23" height="20" uuid="76206c72-2770-4119-a33d-958a309c548a"/>
				<textFieldExpression><![CDATA[$F{qty_real}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="519" y="51" width="23" height="20" uuid="3b2cfdc7-3d88-42cc-8f88-2ab6f1690a21"/>
				<textFieldExpression><![CDATA[$F{qty_kwitansi}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="447" y="31" width="70" height="20" uuid="13d5aed3-6d84-4b68-9425-11b213992e1e"/>
				<text><![CDATA[Total]]></text>
			</staticText>
			<staticText>
				<reportElement x="447" y="51" width="70" height="20" uuid="5d2d1c15-ba6d-487a-914d-463065c4d667"/>
				<text><![CDATA[Di Kwitansi]]></text>
			</staticText>
			<line>
				<reportElement x="-1" y="0" width="1" height="80" uuid="c45202d9-a164-46ec-b053-6860a154c610"/>
			</line>
			<line>
				<reportElement x="802" y="0" width="1" height="80" uuid="df85f60a-61ec-4d67-a546-9f0791419647"/>
			</line>
			<line>
				<reportElement x="-1" y="-60" width="1" height="20" uuid="d34c7fe6-b961-4e88-b9f1-bdd1f6bf4759"/>
			</line>
		</band>
	</detail>
	<pageFooter>
		<band height="54" splitType="Stretch">
			<line>
				<reportElement x="-1" y="53" width="804" height="1" uuid="908b84b8-7c8f-4da0-a62f-345dd903cc80"/>
			</line>
		</band>
	</pageFooter>
	<summary>
		<band height="20" splitType="Stretch">
			<rectangle>
				<reportElement x="-1" y="-1" width="804" height="19" forecolor="#FFFFFF" backcolor="#CCCCCC" uuid="ce208fce-0dce-4e85-9cf1-b3a4338e0d22"/>
			</rectangle>
			<staticText>
				<reportElement x="560" y="0" width="147" height="20" uuid="d02bb208-faa3-4a47-850b-433947cddf44"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL TRANSAKSI]]></text>
			</staticText>
			<textField>
				<reportElement x="707" y="0" width="94" height="20" uuid="f0340ae5-f505-499f-ad4f-997e3eea3281"/>
				<textFieldExpression><![CDATA[$V{sum_total}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="-1" y="18" width="804" height="1" uuid="25f035df-d865-4eae-8e72-8f8722cbf911"/>
			</line>
			<line>
				<reportElement x="-1" y="-1" width="1" height="20" uuid="c0f70a88-d32c-4f91-b71d-9b647b26a354"/>
			</line>
			<line>
				<reportElement x="802" y="-1" width="1" height="20" uuid="3b5a7767-e19e-44a4-a726-a644feedf42a"/>
			</line>
		</band>
	</summary>
</jasperReport>
